Frodo1980
Posts: 2
Joined: Sat Feb 15, 2020 11:56 am

phpmyAdmin aktualisieren - aber wie richtig?

Sat Feb 15, 2020 12:44 pm

Hi,

Datenbank-Server
Server: Localhost via UNIX socket
Server-Typ: MariaDB
Server-Version: 10.0.28-MariaDB-2+b1 - Raspbian testing-staging
Protokoll-Version: 10
Benutzer: [email protected]
Server-Zeichensatz: UTF-8 Unicode (utf8)
Webserver
Apache/2.4.38 (Raspbian)
Datenbank-Client Version: libmysql - mysqlnd 5.0.12-dev - 20150407 - $Id: 7cc7cc96e675f6d72e5cf0f267f48e167c2abb23 $
PHP-Erweiterung: mysqliDokumentation curlDokumentation mbstringDokumentation
PHP-Version: 7.3.11-1~deb10u1
phpMyAdmin-Versionsinformationen: 4.6.6deb5

Wie bekomme ich hier eine aktuelle Version installiert? Tante Google sagt etwas von: "Nicht einfacht drüberinstallieren", aber wie geht das richtig?

Ich bin Euch für Eure Ratschläge sehr dankbar.

Beste Grüße

Michael

smartifahrer
Posts: 970
Joined: Sat Feb 13, 2016 8:10 am

Re: phpmyAdmin aktualisieren - aber wie richtig?

Sat Feb 15, 2020 5:37 pm

phpmyadmin kann als Paket oder als einzel Dateien installiert werden. Phpmyadmin dürfte es dabei egal sein wie dies geschieht. Ob es der Pakatverwaltung auch egal ist wenn du die per Paket installierte Dateinen mit denen aus dem Web überschreibst, kann ich dir leider nicht sagen.
Eventuell gibt es Paketquellen mit einer aktuelleren Version.
Beim Überschreiben gibt es ein paar Stolpersteine.
1. Du überschreibst versehentlich Dateien die noch gebraucht werden. Z.B. die Konfigurationsdatei.
2. Beim überschreiben werden die Dateirechte geändert was dazu führt das Phpmyadmin nicht mehr funkt. Lässt sich aber beheben.
3. Die Neuste Version von Phpmyadmin läuft nicht mit der bei dir installierten PHP-Version zusammen.
All die sind aber keine Probleme die sich nicht lösen lassen.

Installiere Phpmyadmin (Download Version) doch einfach in ein anderes Verzeichnis innerhalb des Webserver (Dateirechte setzen nicht vergessen).

User avatar
mline
Posts: 1373
Joined: Sun Jan 27, 2013 1:47 pm
Location: Austria, Vienna

Re: phpmyAdmin aktualisieren - aber wie richtig?

Sat Feb 15, 2020 7:05 pm

Frodo1980 wrote:
Sat Feb 15, 2020 12:44 pm
Ich bin Euch für Eure Ratschläge sehr dankbar.
Der Versionsnummer nach hast du phpMyAdmin über die Paketverwaltung installiert. Das bedeutet grundsätzlich mal, dass du dich nicht großartig um das Updaten kümmern musst.
Einfach regelmässig mal

Code: Select all

sudo apt-get update && sudo apt-get upgrade
ausführen und du hast auf jeden Fall eine stabile Version mit wichtigen Sicherheitsupdates.

Falls dir die Version aus den Paketquellen zu alt ist, müsstest du diese mit apt-get deinstallieren und die Version von der Webseite installieren. Mit dem apachen ist das recht einfach und es gibt zahlreiche Tutorials im Internet.
Der Nachteil ist da aber, dass du dich um Updates selbst kümmern musst (und solltest).
<~~>

Return to “Deutsch”